<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.admin.catalogos.materiales.daos.CatalogoMaterialesDAO">

	<resultMap id="material" type="CatalogoMaterialDTO">	

		<id property="idMaterial"		column="ID_MATERIAL" />
		<result property="codigoSap" 	column="CODIGO_SAP" />
		<result property="descripcionMaterial" 	column="DESC_MATERIAL" />
		<result property="unidadMedida" 		column="UNIDAD_MEDIDA" />
		<result property="codigoIsoMedida" 		column="CODIGO_ISO_MEDIDA" />
		<result property="materialAntiguo" 		column="MATERIAL_ANTIGUO" />
		
	</resultMap>

	<select id="catalogoMateriales" resultMap="material">
		select	material.ID_MATERIAL	ID_MATERIAL,
        		material.CODIGO_SAP		CODIGO_SAP,
        		material.DESC_MATERIAL	DESC_MATERIAL,
        		material.UNIDAD_MEDIDA	UNIDAD_MEDIDA,
        		material.CODIGO_ISO_MEDIDA	CODIGO_ISO_MEDIDA,
        		material.MATERIAL_ANTIGUO	MATERIAL_ANTIGUO
		from DDA_C_MATERIAL material
		ORDER BY material.DESC_MATERIAL
	</select>

</mapper>
